Subject: Re: [PATCH 2/7] repack: add --full-name-hash option

From: Derrick Stolee <[email-masked]>
Date: Fri, 22 Nov 2024 07:07:12 -0500

On 11/21/24 3:12 PM, Taylor Blau wrote:
> On Tue, Nov 05, 2024 at 03:05:02AM +0000, Derrick Stolee via GitGitGadget wrote:
>> ---
>>   t/t7700-repack.sh       |  7 +++++++
>>   t/test-lib-functions.sh | 26 ++++++++++++++++++++++++++
>>   2 files changed, 33 insertions(+)
> 
> OK, I stand by my thinking in the previous patch that this one is where
> the changes to builtin/repack.c belong.

Yes. I should have done this already.

> I do think that test_subcommand_flex may be unnecessary though, since
> you could instead write this as:
> 
>      test_subcommand "git pack-objects.*--full-name-hash" <full-trace.txt
> 
> and get the same behavior.
This does require knowing a bit about the internals of test_subcommand
that may be too much of a burden for future contributors.

Thanks,
-Stolee